"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FoundationProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativePaper = require("react-native-paper");
var _FoundationTheme = require("../styles/FoundationTheme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const FoundationProvider = ({
  theme = _FoundationTheme.FoundationTheme,
  ...otherProps
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNativePaper.Provider, _extends({
    theme: theme
  }, otherProps));
};
exports.FoundationProvider = FoundationProvider;
//# sourceMappingURL=FoundationProvider.js.map