function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Button as PaperButton } from 'react-native-paper';
import { useFoundationTheme } from '../useTheme';
export const Button = props => {
  let {
    color,
    uppercase = false
  } = props;
  const {
    colors
  } = useFoundationTheme();
  switch (color) {
    case 'primary':
      color = colors.primary;
      break;
    case 'secondary':
      color = colors.accent;
      break;
    case 'danger':
      color = colors.error;
      break;
  }
  return /*#__PURE__*/React.createElement(PaperButton, _extends({}, props, {
    textColor: color,
    uppercase: uppercase
  }));
};
//# sourceMappingURL=Button.js.map