function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Provider as PaperProvider } from 'react-native-paper';
import { FoundationTheme } from '../styles/FoundationTheme';
export const FoundationProvider = ({
  theme = FoundationTheme,
  ...otherProps
}) => {
  return /*#__PURE__*/React.createElement(PaperProvider, _extends({
    theme: theme
  }, otherProps));
};
//# sourceMappingURL=FoundationProvider.js.map