import type { Button } from 'react-native-paper';

export type colorType = 'primary' | 'secondary' | 'error' | string;

export type modeType = 'text' | 'contained';

export type ButtonProps = React.ComponentProps<typeof Button> & {
  mode?: modeType;
  color?: colorType;
  uppercase?: boolean;
};
