"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FoundationTheme = void 0;
var _reactNativePaper = require("react-native-paper");
var _fonts = _interopRequireDefault(require("./fonts"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FoundationTheme = exports.FoundationTheme = {
  ..._reactNativePaper.MD2LightTheme,
  dark: false,
  roundness: 4,
  colors: {
    ..._reactNativePaper.MD2LightTheme.colors,
    primary: '#9156E3',
    accent: '#BDBDBD',
    error: '#D32F2F',
    background: '#ffffff',
    surface: '#ffffff',
    text: '#000000de',
    onSurface: '#323232',
    disabled: '#0000001f',
    placeholder: '#00000099',
    backdrop: '#E0E0E0'
  },
  fonts: (0, _fonts.default)(),
  animation: {
    scale: 1.0
  }
};
//# sourceMappingURL=FoundationTheme.js.map