import { configureFonts as paperConfigureFonts } from 'react-native-paper';
const fontConfig = {
  web: {
    regular: {
      fontFamily: 'Inter',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter',
      fontWeight: '100'
    }
  },
  ios: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100'
    }
  },
  android: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100'
    }
  }
};
export default function configureFonts() {
  const params = {
    config: fontConfig,
    isV3: false
  };
  return paperConfigureFonts(params);
}
//# sourceMappingURL=fonts.js.map